### Method

# Hinawa CycleTime get_system_time

since: 2.6

#### Declaration [src]

    void
    hinawa_cycle_time_get_system_time (
      const HinawaCycleTime* self,
      gint64* tv_sec,
      gint32* tv_nsec
    )

#### Description [src]

Get system time with enough size of strorage. The timestamp refers to clock_id available by `hinawa_cycle_time_get_clock_id()`.

Available since: 2.6

#### Parameters

`tv_sec`

  Type: `gint64*`

  The second part of timestamp.

  The argument will be set by the function.

`tv_nsec`

  Type: `gint32*`

  The nanosecond part of timestamp.

  The argument will be set by the function.